#

    tsp_tour_visitor<OutputIterator>

This type is a simple TSP tour visitor. It supplies the OutputIterator with the vertices of the tour.

### Example

    std::vector<Vertex> c;
    boost::metric_tsp_approx
      (g, get(edge_weight, g), make_tsp_tour_visitor(std::back_inserter(c));

### Model of

TSP Tour Visitor

### Template Parameters

Parameter | Description | Default
--- | --- | ---
`OutputIterator` | An OutputIterator | None

### Where Defined

`boost/graph/metric_tsp_approx.hpp`

### Member Functions

This class implements all of the member functions required by TSPTourVisitor.

### Non-Member Functions

Function | Description
--- | ---
`template <typename OutputIterator> tsp_tour_visitor<OutputIterator> make_tsp_tour_visitor(OutputIterator iter)` | Returns a simple tsp_tour_visitor that records the TSP tour in the OutputIterator parameter

### See Also

None

Copyright © 2008 | Matyas Egyhazy